Modify
Warning Please read the Ticket HowTo before creating or commenting on a ticket. Failure to do so may cause your ticket to be rejected or result in a slower response.

Opened 4 years ago

Closed 6 weeks ago

#8770 closed Bug Report - General (Need more Info)

EPG is not detected in DVB-T broadcasts

Reported by: guysoft@… Owned by: stuarta
Priority: minor Milestone: 0.27.1
Component: MythTV - EIT Version: Master Head
Severity: medium Keywords: dvb, israel, epg
Cc: Ticket locked: no

Description

During this last year EPG support has been added to Israel's DVB-T broadcasts.
It can clearly be seen on VLC in the 'codec information'. However it is not detected by mythtv.

Here is a sample file recorded:
http://gnet.homelinux.com/files/vlc-record-2010-08-13-01h16m30s.ts

dvbsnoop output:

$ dvbsnoop -pd 3 -s pidscan
dvbsnoop V1.4.50 -- http://dvbsnoop.sourceforge.net/

---------------------------------------------------------
Transponder PID-Scan...
---------------------------------------------------------
PID found:    0 (0x0000)  [SECTION: Program Association Table (PAT)]
PID found:   16 (0x0010)  [SECTION: Network Information Table (NIT) - actual network]
PID found:   17 (0x0011)  [SECTION: Service Description Table (SDT) - actual transport stream]
PID found:   18 (0x0012)  [SECTION: Event Information Table (EIT) - actual transport stream, present/following]
PID found:   20 (0x0014)  [SECTION: Time Date Table (TDT)]
PID found:   21 (0x0015)  [SECTION: ITU-T Rec. H.222.0|ISO/IEC13818 reserved]
PID found:   28 (0x001c)  [unknown]
PID found:   51 (0x0033)  [unknown]
PID found:   54 (0x0036)  [scrambled]
PID found:   76 (0x004c)  [scrambled]
PID found:   94 (0x005e)  [unknown]
PID found:  245 (0x00f5)  [unknown]
PID found: 2560 (0x0a00)  [SECTION: Program Map Table (PMT)]
PID found: 2561 (0x0a01)  [PS/PES: ITU-T Rec. H.262 | ISO/IEC 13818-2 or ISO/IEC 11172-2 video stream]
PID found: 2562 (0x0a02)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2592 (0x0a20)  [SECTION: Program Map Table (PMT)]
PID found: 2593 (0x0a21)  [PS/PES: ITU-T Rec. H.262 | ISO/IEC 13818-2 or ISO/IEC 11172-2 video stream]
PID found: 2594 (0x0a22)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2608 (0x0a30)  [unknown]
PID found: 2609 (0x0a31)  [unknown]
PID found: 2610 (0x0a32)  [unknown]
PID found: 2624 (0x0a40)  [SECTION: Program Map Table (PMT)]
PID found: 2625 (0x0a41)  [PS/PES: ITU-T Rec. H.262 | ISO/IEC 13818-2 or ISO/IEC 11172-2 video stream]
PID found: 2626 (0x0a42)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2640 (0x0a50)  [unknown]
PID found: 2641 (0x0a51)  [unknown]
PID found: 2656 (0x0a60)  [SECTION: Program Map Table (PMT)]
PID found: 2657 (0x0a61)  [PS/PES: ITU-T Rec. H.262 | ISO/IEC 13818-2 or ISO/IEC 11172-2 video stream]
PID found: 2658 (0x0a62)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2688 (0x0a80)  [SECTION: Program Map Table (PMT)]
PID found: 2689 (0x0a81)  [PS/PES: ITU-T Rec. H.262 | ISO/IEC 13818-2 or ISO/IEC 11172-2 video stream]
PID found: 2690 (0x0a82)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2816 (0x0b00)  [SECTION: Program Map Table (PMT)]
PID found: 2817 (0x0b01)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 2992 (0x0bb0)  [SECTION: Program Map Table (PMT)]
PID found: 2993 (0x0bb1)  [PS/PES: ISO/IEC 13818-3 or ISO/IEC 11172-3 audio stream]
PID found: 8191 (0x1fff)  [stuffing]


Attachments (3)

dvbsnoop0x10 (93.8 KB) - added by Guy Sheffer <guysoft@…> 4 years ago.
output from dvbsnoop -nph -n 10 0x10
dvbsnoop0x11 (260.4 KB) - added by Guy Sheffer <guysoft@…> 4 years ago.
output from dvbsnoop -nph -n 10 0x11
dvbsnoop-eit.txt (48.6 KB) - added by stuarta 4 years ago.
eit data from dvbsnoop

Download all attachments as: .zip

Change History (27)

comment:1 Changed 4 years ago by robertm

  • Status changed from new to assigned

comment:2 follow-up: Changed 4 years ago by stuarta

  • Status changed from assigned to infoneeded

How did you populate your channels into mythtv?

Did you use mythtv-setup and scan for channels or
did you import a channels.conf file?

Stuart

comment:3 Changed 4 years ago by yianniv

I think I have the same problem in Greece. I also asked in the Users list (http://www.gossamer-threads.com/lists/mythtv/users/446287)

As suggested, I ran mythbackend with -eit,siparser and got:

2010-08-13 14:03:45.127 No locale defaults file for el_GR, skipping
2010-08-13 14:03:45.165 Connected to database 'mythconverg' at host: 192.168.13.                                    65
2010-08-13 14:03:45.191 Current MythTV Schema Version (DBSchemaVer): 1262
2010-08-13 14:03:45.871 Using protocol version 58
2010-08-13 14:03:46.498 Backend is running in Europe/Athens time zone.
2010-08-13 14:03:46.547 MythBackend: Running as a slave backend.
2010-08-13 14:03:46.568 New DB connection, total: 2
2010-08-13 14:03:46.614 Connected to database 'mythconverg' at host: 192.168.13.                                    65
2010-08-13 14:03:47.918 New DB connection, total: 3
2010-08-13 14:03:47.946 Connected to database 'mythconverg' at host: 192.168.13.                                    65
2010-08-13 14:03:57.452 EITHelper: localtime offset 3:00:00
2010-08-13 14:03:57.508 Main::Registering HttpStatus Extension
2010-08-13 14:03:57.560 Enabled verbose msgs:  important general eit siparser
2010-08-13 14:03:58.596 Connecting to master server: 192.168.13.65:6543
2010-08-13 14:03:58.695 Connected successfully
2010-08-13 14:05:13.548 TVRec(52): ASK_RECORDING 52 0 0 0
2010-08-13 14:05:13.637 TVRec(52): Changing from None to RecordingOnly
2010-08-13 14:05:13.662 TVRec(52): HW Tuner: 52->52
2010-08-13 14:05:14.496 TVRec(53): ASK_RECORDING 53 0 0 0
2010-08-13 14:05:14.510 TVRec(54): ASK_RECORDING 54 0 0 0
2010-08-13 14:05:15.137 Created PMT
Program Map Table ver(1) pid(0x101) pnum(1) len(111)
  Multiplex Buffer Utilization Descriptor (0xc) length(4)
  Maximum Bitrate Descriptor (0xe) length(3)
  Smoothing Buffer Descriptor (0x10) length(6)

 Stream #0 pid(0x201) type(video-mpeg2  0x2)
  Video Descriptor (0x2) length(3)
  Stream Identifier Descriptor (0x52): ComponentTag=0x1
  Unknown(6) Descriptor (0x6) length(1)
 Stream #1 pid(0x281) type(audio-mp2-layer[1,2,3]  0x4)
  Audio Descriptor (0x3) length(1)
  ISO-639 Language: code(gre) canonical(gre) eng(Greek, Modern (1453-))
  Stream Identifier Descriptor (0x52): ComponentTag=0x81
 Stream #2 pid(0x241) type(private-data  0x6)
  Teletext Descriptor (0x56) length(5)
  Stream Identifier Descriptor (0x52): ComponentTag=0x41
 Stream #3 pid(0x227) type(dsmcc-b std data  0xb)
  Unknown(19) Descriptor (0x13) length(5)
  Data Broadcast Identifier Descriptor (0x66) length(4)
  Stream Identifier Descriptor (0x52): ComponentTag=0x0
 Stream #4 pid(0x226) type(private-sec  0x5)
  Application Signalling Descriptor (0x6f) length(3)

2010-08-13 14:05:16.266 EITScanner (52): EIT scan ignoring sourceid.
2010-08-13 14:05:16.304 EITScanner (52): Started passive scan.
2010-08-13 14:05:16.330 TVRec(52): rec->GetPathname(): '/store/readonly/myth/2002_20100813140500.mpg'
2010-08-13 14:05:16.377 Created PMT
Program Map Table ver(1) pid(0x101) pnum(1) len(111)
  Multiplex Buffer Utilization Descriptor (0xc) length(4)
  Maximum Bitrate Descriptor (0xe) length(3)
  Smoothing Buffer Descriptor (0x10) length(6)

 Stream #0 pid(0x201) type(video-mpeg2  0x2)
  Video Descriptor (0x2) length(3)
  Stream Identifier Descriptor (0x52): ComponentTag=0x1
  Unknown(6) Descriptor (0x6) length(1)
 Stream #1 pid(0x281) type(audio-mp2-layer[1,2,3]  0x4)
  Audio Descriptor (0x3) length(1)
  ISO-639 Language: code(gre) canonical(gre) eng(Greek, Modern (1453-))
  Stream Identifier Descriptor (0x52): ComponentTag=0x81
 Stream #2 pid(0x241) type(private-data  0x6)
  Teletext Descriptor (0x56) length(5)
  Stream Identifier Descriptor (0x52): ComponentTag=0x41
 Stream #3 pid(0x227) type(dsmcc-b std data  0xb)
  Unknown(19) Descriptor (0x13) length(5)
  Data Broadcast Identifier Descriptor (0x66) length(4)
  Stream Identifier Descriptor (0x52): ComponentTag=0x0
 Stream #4 pid(0x226) type(private-sec  0x5)
  Application Signalling Descriptor (0x6f) length(3)

2010-08-13 14:10:00.779 TVRec(52): Changing from RecordingOnly to None
2010-08-13 14:10:00.796 Finished recording 12 (SPORT+INFO) "Παρ Αυγ 13 14:05:00 2010": channel 2002
2010-08-13 14:10:01.908 Finished recording 12 (SPORT+INFO) "Παρ Αυγ 13 14:05:00 2010": channel 2002
2010-08-13 14:10:02.056 mythpreviewgen version: trunk [25620M] www.mythtv.org
2010-08-13 14:10:02.093 Using runtime prefix = /usr
2010-08-13 14:10:02.109 Using configuration directory = /root/.mythtv
2010-08-13 14:10:02.127 Empty LocalHostName.
2010-08-13 14:10:02.144 Using localhost value of storage
2010-08-13 14:10:02.161 Testing network connectivity to '192.168.13.65'
2010-08-13 14:10:02.186 New DB connection, total: 1
2010-08-13 14:10:02.237 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-13 14:10:02.283 Closing DB connection named 'DBManager0'
2010-08-13 14:10:02.300 Current locale el_GR
2010-08-13 14:10:02.317 No locale defaults file for el_GR, skipping
2010-08-13 14:10:02.336 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-13 14:10:02.426 MythCoreContext: Connecting to backend server: 192.168.13.65:6543 (try 1 of 1)
2010-08-13 14:10:02.511 Using protocol version 58
2010-08-13 14:10:05.002 AFD: Opened codec 0x6f18b0, id(MPEG2VIDEO) type(Video)
2010-08-13 14:10:05.033 AFD: codec MP2 has 2 channels
2010-08-13 14:10:05.050 AFD: Opened codec 0x6fa5a0, id(MP2) type(Audio)
2010-08-13 14:10:05.160 Preview: Grabbed preview '/store/readonly/myth/2002_20100813140500.mpg' 720x576@100s
2010-08-13 14:10:05.415 ~MythContext waiting for threads to exit.
2010-08-13 14:10:31.053 EITScanner (52): StartActiveScan called with 0 multiplexes

The initial scan was done by using the frequency of the transponder, because Greece DVB-T frequencies were not available at the time. However, the transport and network IDs are present and correct (I confirmed the values reported by my tv set).

The useeit value in the videosource table is 1 for this source.

Any more info I can provide you with?

comment:4 in reply to: ↑ 2 Changed 4 years ago by Guy Sheffer <guysoft@…>

Replying to stuarta:

How did you populate your channels into mythtv?

Did you use mythtv-setup and scan for channels or
did you import a channels.conf file?

Stuart

The data posted is from a scan. I just tried now using a channels.conf file, and that did not work nether.

Here is the channels.conf it it helps anyone (note we apparently have here 'secret test channels' this did not exist last year).

Ch 1:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:2561:2562:1
Ch 2:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:2593:2594:2
Ch 10:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:2625:2626:3
Ch 33:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:2657:2658:4
Ch 99:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:2689:2690:5
R01:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:2817:21
R12:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:2993:32
Idan+ test_1:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:6
Idan+test_2:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:7
R2:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:22
R3:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:23
R4:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:24
R5:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:25
R6:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:26
R7:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:27
R8:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:28
R9:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:29
R10:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:30
R11:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:31
R13:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:33
R14:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:34
R15:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:35
R16:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:36
R17:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:37
R18:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:38
R19:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:39
R20:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:40
R21:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:41
R22:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:42
R23:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:43
R24:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:44
R25:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:45
R26:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:46
R27:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:47
R28:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:48
R29:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:49
R30:514000000:INVERSION_AUTO:BANDWIDTH_8_MHZ:FEC_2_3:FEC_AUTO:QAM_16:TRANSMISSION_MODE_2K:GUARD_INTERVAL_1_32:HIERARCHY_NONE:0:0:50

Here is an output of mythbackend -v eit:

2010-08-13 17:53:06.421 mythbackend version: trunk [25628] www.mythtv.org
2010-08-13 17:53:06.421 Using runtime prefix = /usr/local
2010-08-13 17:53:06.421 Using configuration directory = /home/guy/.mythtv
2010-08-13 17:53:06.421 Empty LocalHostName.
2010-08-13 17:53:06.421 Using localhost value of Golem2
2010-08-13 17:53:06.429 New DB connection, total: 1
2010-08-13 17:53:06.431 Connected to database 'mythconverg' at host: localhost
2010-08-13 17:53:06.431 Closing DB connection named 'DBManager0'
2010-08-13 17:53:06.431 Current locale en_US
2010-08-13 17:53:06.431 Reading locale defaults from /usr/local/share/mythtv//locales/en_us.xml
2010-08-13 17:53:06.432 Connected to database 'mythconverg' at host: localhost
2010-08-13 17:53:06.434 New DB connection, total: 2
2010-08-13 17:53:06.434 Connected to database 'mythconverg' at host: localhost
2010-08-13 17:53:06.435 Checking database tables.
2010-08-13 17:53:06.441 Current MythTV Schema Version (DBSchemaVer): 1262
2010-08-13 17:53:06.445 MediaServer:: Loopback address specified - 127.0.0.1. Disabling UPnP
2010-08-13 17:53:06.445 MythBackend: Starting up as the master server.
2010-08-13 17:53:06.669 New DB connection, total: 3
2010-08-13 17:53:06.669 Connected to database 'mythconverg' at host: localhost
2010-08-13 17:53:06.675 EITHelper: localtime offset 3:00:00
2010-08-13 17:53:06.676 New DB scheduler connection
2010-08-13 17:53:06.676 Connected to database 'mythconverg' at host: localhost
2010-08-13 17:53:06.677 Main::Registering HttpStatus Extension
2010-08-13 17:53:06.677 Enabled verbose msgs:  important general eit
2010-08-13 17:53:06.678 AutoExpire: ERROR: Filesystem Info cache is empty, unable to calculate necessary parameters.
2010-08-13 17:53:09.678 Reschedule requested for id -1.
2010-08-13 17:53:09.788 Scheduled 0 items in 0.1 = 0.00 match + 0.11 place
2010-08-13 17:53:09.789 Seem to be woken up by USER
2010-08-13 17:54:06.685 EITScanner (1): StartActiveScan called with 1 multiplexes
2010-08-13 17:54:06.726 EITScanner (1): Now looking for EIT data on multiplex of channel 1
2010-08-13 17:54:06.726 EITCache: Pruning all entries that ended before UTC 2010-08-12T17:59:09
2010-08-13 17:54:06.726 EITCache: Deleting old cache entries from the database
2010-08-13 17:54:06.960 EITScanner (1): EIT scan ignoring sourceid.
2010-08-13 17:54:06.960 EITScanner (1): Started passive scan.
2010-08-13 17:54:26.680 AutoExpire: CalcParams(): Max required Free Space: 1.0 GB w/freq: 15 min
2010-08-13 17:54:26.684 Expiring 4 MB for 1003 at 2010-08-13T17:51:19 => Unknown
2010-08-13 17:54:26.684 Expiring 0 MB for 1003 at 2010-08-13T17:51:38 => Unknown
2010-08-13 17:54:26.684 Expiring 3 MB for 1003 at 2010-08-13T17:51:39 => Unknown                                                                    

Anything else I can provide?

comment:5 Changed 4 years ago by wagnerrp

  • Status changed from infoneeded to assigned

comment:6 Changed 4 years ago by stuarta

  • Resolution set to worksforme
  • Status changed from assigned to closed

You both have the same problem. From both of your logs.

"EITScanner (1): EIT scan ignoring sourceid."

You need to turn off the backend setting "Cross Source EIT"

Stuart

comment:7 Changed 4 years ago by stuarta

Oh and you'll need to rescan for channels via mythtv-setup
as importing channels.conf is guaranteed to break EIT

Stuart

comment:8 Changed 4 years ago by Guy Sheffer <guysoft@…>

Ok, I removed all channels, unchecked the "Cross Source EIT" (forth page in the General settings in mythtv-setup, plus it was set to scan after 60 secs idle) Then scanned for all channels and ran mythfilldatabase.

Then I left the backaend on for 6 mins, and it still does not work.
Here is the output:

guy@1[~]$ 2010-08-16 17:02:47.408 mythbackend version: trunk [25628] www.mythtv.org
2010-08-16 17:02:47.409 Using runtime prefix = /usr/local
2010-08-16 17:02:47.409 Using configuration directory = /home/guy/.mythtv
2010-08-16 17:02:47.409 Empty LocalHostName.
2010-08-16 17:02:47.409 Using localhost value of Golem2
2010-08-16 17:02:47.464 New DB connection, total: 1
2010-08-16 17:02:47.467 Connected to database 'mythconverg' at host: localhost
2010-08-16 17:02:47.467 Closing DB connection named 'DBManager0'
2010-08-16 17:02:47.467 Current locale en_US
2010-08-16 17:02:47.468 Reading locale defaults from /usr/local/share/mythtv//locales/en_us.xml
2010-08-16 17:02:47.469 Connected to database 'mythconverg' at host: localhost
2010-08-16 17:02:47.474 New DB connection, total: 2
2010-08-16 17:02:47.475 Connected to database 'mythconverg' at host: localhost
2010-08-16 17:02:47.477 Checking database tables.
2010-08-16 17:02:47.567 Current MythTV Schema Version (DBSchemaVer): 1262
2010-08-16 17:02:47.575 MediaServer:: Loopback address specified - 127.0.0.1. Disabling UPnP
2010-08-16 17:02:47.576 MythBackend: Starting up as the master server.
2010-08-16 17:02:47.811 New DB connection, total: 3
2010-08-16 17:02:47.811 Connected to database 'mythconverg' at host: localhost
2010-08-16 17:02:47.822 EITHelper: localtime offset 3:00:00
2010-08-16 17:02:47.824 New DB scheduler connection
2010-08-16 17:02:47.825 Connected to database 'mythconverg' at host: localhost
2010-08-16 17:02:47.827 Main::Registering HttpStatus Extension
2010-08-16 17:02:47.827 Enabled verbose msgs:  important general eit
2010-08-16 17:02:47.827 AutoExpire: ERROR: Filesystem Info cache is empty, unable to calculate necessary parameters.
2010-08-16 17:02:50.828 Reschedule requested for id -1.
2010-08-16 17:02:50.919 Scheduled 0 items in 0.1 = 0.00 match + 0.09 place
2010-08-16 17:02:50.921 Seem to be woken up by USER
2010-08-16 17:03:47.833 EITScanner (1): StartActiveScan called with 1 multiplexes
2010-08-16 17:03:47.877 EITScanner (1): Now looking for EIT data on multiplex of channel 1
2010-08-16 17:03:47.877 EITCache: Pruning all entries that ended before UTC 2010-08-15T17:08:50
2010-08-16 17:03:47.877 EITCache: Deleting old cache entries from the database
2010-08-16 17:04:07.830 AutoExpire: CalcParams(): Max required Free Space: 1.0 GB w/freq: 15 min
2010-08-16 17:04:07.832 Expiring 0 MB for 1001 at 2010-08-16T17:02:04 => Unknown
2010-08-16 17:04:07.832 Expiring 2 MB for 1004 at 2010-08-16T17:02:04 => Unknown
2010-08-16 17:08:51.239 EITScanner (1): Now looking for EIT data on multiplex of channel 1
2010-08-16 17:08:51.239 EITCache: Pruning all entries that ended before UTC 2010-08-15T17:13:54
2010-08-16 17:08:51.239 EITCache: Deleting old cache entries from the database

comment:9 Changed 4 years ago by stuarta

  • Resolution worksforme deleted
  • Status changed from closed to new

comment:10 Changed 4 years ago by stuarta

  • Status changed from new to assigned

comment:11 follow-up: Changed 4 years ago by yianniv

In my case, I unchecked "Cross source EIT" and deleted all channels from the "digital" source, as well as the transponder that I had manually added on the specific frequency.
I then did I full scan, and the channels were added again.

By the way, I like the refreshed "download icons" function! It is a big improvement!!

The only change I made was to the channel numbers, which I changed from 1,2,3,4 to 11,12,13,14 respectively.

No eit data is being shown, either. Here is the backend log.

2010-08-17 08:31:36.080 mythbackend version: trunk [25706M] www.mythtv.org
2010-08-17 08:31:36.115 Using runtime prefix = /usr
2010-08-17 08:31:36.131 Using configuration directory = /root/.mythtv
2010-08-17 08:31:36.184 Empty LocalHostName.
2010-08-17 08:31:36.215 Using localhost value of storage
2010-08-17 08:31:36.233 Testing network connectivity to '192.168.13.65'
2010-08-17 08:31:36.371 New DB connection, total: 1
2010-08-17 08:31:36.435 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-17 08:31:36.467 Closing DB connection named 'DBManager0'
2010-08-17 08:31:36.484 Current locale el_GR
2010-08-17 08:31:36.501 No locale defaults file for el_GR, skipping
2010-08-17 08:31:36.519 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-17 08:31:36.544 Current MythTV Schema Version (DBSchemaVer): 1262
2010-08-17 08:31:37.190 Using protocol version 58
2010-08-17 08:31:37.856 Backend is running in Europe/Athens time zone.
2010-08-17 08:31:37.908 MythBackend: Running as a slave backend.
2010-08-17 08:31:37.929 New DB connection, total: 2
2010-08-17 08:31:37.982 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-17 08:31:39.279 New DB connection, total: 3
2010-08-17 08:31:39.299 Connected to database 'mythconverg' at host: 192.168.13.65
2010-08-17 08:31:49.129 EITHelper: localtime offset 3:00:00
2010-08-17 08:31:49.187 Main::Registering HttpStatus Extension
2010-08-17 08:31:49.229 Enabled verbose msgs:  important general eit siparser
2010-08-17 08:31:50.250 Connecting to master server: 192.168.13.65:6543
2010-08-17 08:31:50.288 Connected successfully
2010-08-17 08:33:42.171 EITScanner (52): StartActiveScan called with 0 multiplexes

comment:12 in reply to: ↑ 11 Changed 4 years ago by guysoft@…

Replying to yianniv:

In my case, I unchecked "Cross source EIT" and deleted all channels from the "digital" source, as well as the transponder that I had manually added on the specific frequency.
I then did I full scan, and the channels were added again.

By the way, I like the refreshed "download icons" function! It is a big improvement!!

The only change I made was to the channel numbers, which I changed from 1,2,3,4 to 11,12,13,14 respectively.

@yianniv Perhaps I might suggest you open a separate ticket for Greece?
The bands are not the same, the encoding is not the same (MPEG4 vs MPEG2). And we don't have icon support here, plus we have a suspicion that the Israeli broadcaster is using non-standard formats. Also It also says its 0 multiplexes in your EIT scan, and I got 1.

It confused stuarta once already when he closed the ticket thinking the problem was the "EIT cross" only.

Changed 4 years ago by Guy Sheffer <guysoft@…>

output from dvbsnoop -nph -n 10 0x10

Changed 4 years ago by Guy Sheffer <guysoft@…>

output from dvbsnoop -nph -n 10 0x11

comment:13 Changed 4 years ago by Guy Sheffer <guysoft@…>

@stuarta As requested on IRC I attached to the ticket the output from:
dvbsnoop -nph -n 10 0x10
dvbsnoop -nph -n 10 0x11

I might also note that it didn't seem to give any output without actually running VLC at the same time (basically to get a lock).

Also the command got stuck, and I had to use ctrl-c to kill it after the output was received

Changed 4 years ago by stuarta

eit data from dvbsnoop

comment:14 Changed 2 years ago by stuartm

  • Milestone changed from unknown to 0.25
  • Type changed from defect to Bug Report - General

Worth someone looking at again for 0.25. There is possibly a simple fix here with a big benefit for Israeli users.

comment:15 Changed 2 years ago by dekarl@…

Lets see...

Transport_stream_ID: 2 (0x0002) 
Original_network_ID: 65314 (0xff22)  [= Private_temporary_use | ETSI]

The EIT gets transmitted for original_network_id 65314 and transport_id 2. There are reports (e.g. #10217) where these values do not end up in the dtv_multiplex table due to various issues.

I'd first verify that the correct values for ONID and TSID are shown in the transport editor in mythtv-setup.

PS: if you meet the engineer in charge, tell them about ONID 0x2178 (Israeli Digital Terrestrial Television - BEZEQ (The Israel Telecommunication Corp Ltd .)). It will make assigning EITFixups much easier if the ids do not collide...

PPS: The breakage stuarta mentioned is that importing channels.conf or manually adding transports via mythtv-setup is known to not fill in ONID and TSID.

comment:16 Changed 2 years ago by stuarta

  • Milestone changed from 0.25 to 0.26

comment:17 Changed 21 months ago by dekarl@…

Guy, the SDT in "dvbsnoop0x11" looks good.

EIT_schedule_flag: 1 (0x01)
EIT_present_following_flag: 1 (0x01)

The ONID/TSID/SID appear to match. (0xff22, 0x0002, 1/2/3)

With the correct values in dtv_multiplex (sistandarf=dvb, onid=0xff22 and tsid=0x0002) or the patch from #10784 you should get guide data.

Stuart, everything looks good in the provided dumps. The likely cause for missing guide is that ONID/TSID did not get picked up. (there have been fixes in that area, so a simple rescan on master or a scan on a fresh video source in fixes should result in a working setup)

This ticket should be info_needed (actually testing needed)

comment:18 Changed 19 months ago by kenni

  • Milestone changed from 0.26 to 0.26.1

comment:19 Changed 16 months ago by Karl Dietz <dekarl@…>

In 3c3dd7c5372aefe9b597f2fc0b3509a61e4f2e37/mythtv:

Handle EIT events of the active transport without looking at original_network_id or transport_id

Refs #8770 - ONID/TSID presumed missing in the OP's case
Refs #10217 - ONID/TSID did not get populated, should now work without
Fixes #10784

comment:20 Changed 9 months ago by paulh

  • Milestone changed from 0.26.1 to 0.28

comment:21 Changed 8 months ago by stuartm

  • Milestone changed from 0.28 to 0.27
  • Status changed from assigned to infoneeded

Can you please re-test with master/0.27 and let us know whether it now works?

comment:22 Changed 7 months ago by stuartm

  • Milestone changed from 0.27 to 0.27.1

comment:23 Changed 7 months ago by guysoft@…

Hey,
Just noting that I am not in reach of a DVB-T card at the moment, so if would helpful if anyone that has posts their results. I can say that DVB-T broadcasting has changed since the submission of the ticket, it did not remain static.

comment:24 Changed 6 weeks ago by dekarl

  • Resolution set to Need more Info
  • Status changed from infoneeded to closed

Both code and transmission have evolved since this ticket was opened. Please open a new ticket if there are still old or different new issues. Preferably one ticket per country or service provider.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'new'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.